import { csv, select } from 'd3';
import { pieChart } from './pieChart';

const csvUrl =
  'https://raw.githubusercontent.com/PragnaSahas/food/main/onlinefoods.csv';

const parseRow = (d) => {
  return {
    Age: +d.Age,
    Gender: d.Gender,
    'Marital Status': d['Marital Status'],
    Occupation: d.Occupation,
    'Monthly Income': d['Monthly Income'],
    'Educational Qualifications':
      d['Educational Qualifications'],
    'Family size': +d['Family size'],
    latitude: +d.latitude,
    longitude: +d.longitude,
    'Pin code': d['Pin code'],
    Output: d.Output,
    Feedback: d.Feedback,
  };
};

const main = async () => {
  const data = await csv(csvUrl, parseRow);
  pieChart(data, 'body');
};

main();
